Index: postfix/conf/main.cf
===================================================================
--- postfix.orig/conf/main.cf
+++ postfix/conf/main.cf
@@ -47,7 +47,7 @@ compatibility_level = 2
 # See the files in examples/chroot-setup for setting up Postfix chroot
 # environments on different UNIX systems.
 #
-queue_directory = /var/spool/postfix
+#queue_directory = /var/spool/postfix
 
 # The command_directory parameter specifies the location of all
 # postXXX commands.
@@ -58,7 +58,7 @@ command_directory = /usr/sbin
 # daemon programs (i.e. programs listed in the master.cf file). This
 # directory must be owned by root.
 #
-daemon_directory = /usr/libexec/postfix
+daemon_directory = /usr/lib/postfix/sbin
 
 # The data_directory parameter specifies the location of Postfix-writable
 # data files (caches, random numbers). This directory must be owned
@@ -465,8 +465,8 @@ mynetworks = 127.0.0.0/8
 # IF YOU USE THIS TO DELIVER MAIL SYSTEM-WIDE, YOU MUST SET UP AN
 # ALIAS THAT FORWARDS MAIL FOR ROOT TO A REAL USER.
 #
-#mailbox_command = /some/where/procmail
-#mailbox_command = /some/where/procmail -a "$EXTENSION"
+#mailbox_command = /usr/bin/procmail
+#mailbox_command = /usr/bin/procmail -a "$EXTENSION"
 
 # The mailbox_transport specifies the optional transport in master.cf
 # to use after processing aliases and .forward files. This parameter
Index: postfix/examples/smtpd-policy/greylist.pl
===================================================================
--- postfix.orig/examples/smtpd-policy/greylist.pl
+++ postfix/examples/smtpd-policy/greylist.pl
@@ -73,7 +73,7 @@ use Sys::Syslog qw(:DEFAULT setlogsock);
 # In case of database corruption, this script saves the database as
 # $database_name.time(), so that the mail system does not get stuck.
 #
-$database_name="/var/mta/greylist.db";
+$database_name="/var/lib/postfix/greylist.db";
 $greylist_delay=60;
 
 #
Index: postfix/makedefs
===================================================================
--- postfix.orig/makedefs
+++ postfix/makedefs
@@ -509,11 +509,18 @@ case "$SYSTEM.$RELEASE" in
 			exit 1
 		    fi
 		    SYSLIBS="-ldb"
+		    SEARCHDIRS=$(${CC-gcc} -print-search-dirs 2>/dev/null |
+			    sed -n '/^libraries: =/s/libraries: =//p' |
+			    sed -e 's/:/\n/g' | xargs -n1 readlink -f |
+			    grep -v 'gcc\|/[0-9.]\+$' | sort -u)
+		    if [ -z "$SEARCHDIRS" ]; then
+			    SEARCHDIRS="/usr/lib64 /lib64 /usr/lib /lib"
+		    fi
 		    ;;
 		esac
 		for name in nsl resolv $GDBM_LIBS
 		do
-		    for lib in /usr/lib64 /lib64 /usr/lib /lib
+		    for lib in $SEARCHDIRS
 		    do
 			test -e $lib/lib$name.a -o -e $lib/lib$name.so && {
 			    SYSLIBS="$SYSLIBS -l$name"
@@ -588,11 +595,18 @@ EOF
 			exit 1
 		    fi
 		    SYSLIBS="-ldb"
+		    SEARCHDIRS=$(${CC-gcc} -print-search-dirs 2>/dev/null |
+			    sed -n '/^libraries: =/s/libraries: =//p' |
+			    sed -e 's/:/\n/g' | xargs -n1 readlink -f |
+			    grep -v 'gcc\|/[0-9.]\+$' | sort -u)
+		    if [ -z "$SEARCHDIRS" ]; then
+			    SEARCHDIRS="/usr/lib64 /lib64 /usr/lib /lib"
+		    fi
 		    ;;
 		esac
 		for name in nsl resolv
 		do
-		    for lib in /usr/lib64 /lib64 /usr/lib /usr/lib/* /lib /lib/*
+		    for lib in $SEARCHDIRS
 		    do
 			test -e $lib/lib$name.a -o -e $lib/lib$name.so && {
 			    SYSLIBS="$SYSLIBS -l$name"
@@ -626,11 +640,18 @@ EOF
 			exit 1
 		    fi
 		    SYSLIBS="-ldb"
+		    SEARCHDIRS=$(${CC-gcc} -print-search-dirs 2>/dev/null |
+			    sed -n '/^libraries: =/s/libraries: =//p' |
+			    sed -e 's/:/\n/g' | xargs -n1 readlink -f |
+			    grep -v 'gcc\|/[0-9.]\+$' | sort -u)
+		    if [ -z "$SEARCHDIRS" ]; then
+			    SEARCHDIRS="/usr/lib64 /lib64 /usr/lib /lib"
+		    fi
 		    ;;
 		esac
 		for name in nsl resolv
 		do
-		    for lib in /usr/lib64 /lib64 /usr/lib /lib
+		    for lib in $SEARCHDIRS
 		    do
 			test -e $lib/lib$name.a -o -e $lib/lib$name.so && {
 			    SYSLIBS="$SYSLIBS -l$name"
